/**
 * Dream
 * Copyright (C) 2003-2004 INRIA Rhone-Alpes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: dream@objectweb.org
 *
 * Initial developer(s): Matthieu Leclercq
 * Contributor(s): 
 */

package benchmark.ring;

import org.objectweb.dream.message.ChunkType;
import org.objectweb.dream.message.ChunkTypeImpl;

/**
 * Pay Load chunk interface.
 */
public interface PayLoadChunk
{
  /** default chunk name. */
  String    DEFAULT_NAME = "PayLoadChunk";

  /** Chunk type */
  ChunkType TYPE         = new ChunkTypeImpl(PayLoadChunk.class,
                             PayLoadChunkImpl.class);

  /**
   * Sets the pay load size.
   * 
   * @param nbByte the new pay load size.
   */
  void setPayLoadSize(int nbByte);

  /**
   * Returns the current pay load size.
   * 
   * @return the current pay load size.
   */
  int getPayLoadSize();
}