/**
 * Dream
 * Copyright (C) 2003-2004 INRIA Rhone-Alpes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: dream@objectweb.org
 *
 * Initial developer(s): Vivien Quema
 * Contributor(s): 
 */

package pushwithreturn;

import org.objectweb.dream.message.AbstractChunk;
import org.objectweb.dream.message.Chunk;
import org.objectweb.dream.message.ChunkType;

/**
 * Basic implementation of TestWorld chunk interface.
 */
public class TestChunkImpl extends AbstractChunk implements TestChunk
{

  private String message;

  // ---------------------------------------------------------------------------
  // Implementation of the TestChunk interface
  // ---------------------------------------------------------------------------

  /**
   * @see TestChunk#getMessage()
   */
  public String getMessage()
  {
    return message;
  }

  /**
   * @see TestChunk#setMessage(String)
   */
  public void setMessage(String message)
  {
    this.message = message;
  }

  // ---------------------------------------------------------------------------
  // Implementation of the Chunk interface
  // ---------------------------------------------------------------------------

  /**
   * @see Chunk#getType()
   */
  public ChunkType getType()
  {
    return TYPE;
  }

  /**
   * @see Chunk#recycle()
   */
  public void recycle()
  {
    message = null;
  }

  /**
   * @see Chunk#transfertState(Chunk)
   */
  public void transfertState(Chunk newInstance)
  {
    TestChunk chunk = (TestChunk) newInstance;
    chunk.setMessage(getMessage());
  }

}