/**
 * Dream
 * Copyright (C) 2003-2004 INRIA Rhone-Alpes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: dream@objectweb.org
 *
 * Initial developer(s): Vivien Quema
 * Contributor(s): 
 */

package utobcast.draw;

import org.objectweb.dream.message.AbstractChunk;
import org.objectweb.dream.message.Chunk;
import org.objectweb.dream.message.ChunkType;

/**
 * Basic implementation of the {@link DrawCommandChunk}interface.
 */
public class DrawCommandChunkImpl extends AbstractChunk
    implements
      DrawCommandChunk
{
  /** The DrawCommand object. */
  protected DrawCommand dc;

  // ---------------------------------------------------------------------------
  // Implementation of the DrawCommandChunk interface
  // ---------------------------------------------------------------------------

  /**
   * @see utobcast.draw.DrawCommandChunk#getDrawCommand()
   */
  public DrawCommand getDrawCommand()
  {
    return dc;
  }

  /**
   * @see utobcast.draw.DrawCommandChunk#setDrawCommand(utobcast.draw.DrawCommand)
   */
  public void setDrawCommand(DrawCommand dc)
  {
    this.dc = dc;
  }

  // ---------------------------------------------------------------------------
  // Implementation of the Chunk interface
  // ---------------------------------------------------------------------------

  /**
   * @see Chunk#getType()
   */
  public ChunkType getType()
  {
    return TYPE;
  }

  /**
   * @see Chunk#transfertState(Chunk)
   */
  public void transfertState(Chunk newInstance)
  {
    ((DrawCommandChunk) newInstance).setDrawCommand(getDrawCommand());
  }

  /**
   * @see Chunk#recycle()
   */
  public void recycle()
  {
    dc = null;
  }

}