/**
 * Dream Copyright (C) 2003-2004 INRIA Rhone-Alpes This library is free
 * software; you can redistribute it and/or modify it under the terms of the GNU
 * Lesser General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version. This
 * library is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
 * A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details. You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * Contact: dream@objectweb.org Initial developer(s): Matthieu Leclercq
 * Contributor(s):
 */

package org.objectweb.dream.channel;

import java.net.Socket;

import org.objectweb.dream.message.codec.CodecInputOutput;
import org.objectweb.dream.pool.Recyclable;

/**
 * Interface used by ChannelOut to identify a ChannelIn and to send it message.
 */
public interface SocketState extends CodecInputOutput, Recyclable
{

  /**
   * Sets the socket to be used as input and output.
   * 
   * @param socket a socket.
   */
  void setSocket(Socket socket);

  /**
   * Returns <code>true</code> if the socket is closed or is deconnected.
   * 
   * @return <code>true</code> if the socket is closed or is deconnected.
   */
  boolean isClosed();

  /**
   * Closes the connection.
   */
  void close();
}