/**
 * Dream
 * Copyright (C) 2003 INRIA Rhone-Alpes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: matthieu.leclercq@inrialpes.fr
 *
 * Initial developer(s): Vivien Quema
 * Contributor(s): 
 */

package org.objectweb.dream.queue;

/**
 * Sorted queue attribute controller. It allows specifying the name of the chunk
 * to be used to sort incoming messages.
 */
public interface QueueSortedAttributeController
    extends
      QueueAttributeController
{

  /**
   * Returns the name of the chunk to be used to sort messages.
   * 
   * @return the name of the chunk to be used to sort messages.
   */
  String getSortingChunkName();

  /**
   * Sets the name of the chunk to be used to sort messages.
   * 
   * @param name the name of the chunk to be used to sort messages.
   */
  void setSortingChunkName(String name);

}